[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Multiarch conflicts on packages with resources



Christopher Stone píše v Pá 19. 10. 2007 v 15:02 -0700:
> I am getting a multiarch conflict on %doc files in a devel
> subpackage[1].  Are we supposed to avoid %doc files in devel packages
> for multiarch purposes, or am I doing something wrong in my spec, or
> is this a multiarch rpm bug?

I have similar problem on a subpackage, which contains additional
plugins + their resources [1]. The main source package (codeblocks) is
divided into 4 binary subpackages
- codeblocks - main executable, default plugins + their resources
- codeblocks-libs - shared libraries for the main executable and plugins
- codeblocks-devel - devel libraries and headers
- codeblocks-contrib - additional plugins + their resources

The resources are packed from source files with zip during building of
the package. The -devel and -libs subpackage are multiarch aware AFAIK
[2], but there is no reason to install both 32 and 64 bit version of the
main subpackage and the -contrib subpackage. Does anybody see a way, how
to fix this, when creating noarch subpackages for an arch package is not
possible?


	Thanks
		Dan


[1] https://bugzilla.redhat.com/show_bug.cgi?id=340911
[2] https://bugzilla.redhat.com/show_bug.cgi?id=228356



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]